Harmony IntegrationHarmony Integration

Artikelcategorie

POST /api/insurance/SearchItemCategory

🗂️ Haal alle beschikbare apparaatcategorieën op — zoals Telefoon, Tablet of Laptop — om in latere API-aanroepen te gebruiken.

✅ Geen request body vereist voor dit eindpunt.

POST
/api/insurance/SearchItemCategory

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X POST "https://jubilee-ws.test.harmony.nl/api/insurance/SearchItemCategory"
{
  "success": true,
  "errors": null,
  "itemCategories": [
    {
      "code": "DESKTOP",
      "name": "Desktop"
    },
    {
      "code": "NOTEBOOK",
      "name": "Notebook"
    },
    {
      "code": "PHONE",
      "name": "Mobile phone"
    },
    {
      "code": "TABLET",
      "name": "Tablet"
    },
    {
      "code": "WEARABLES",
      "name": "Smartwatch"
    },
    {
      "code": "OTHER",
      "name": "Other electronics"
    }
  ]
}